# Copyright 2001 Bryan Schofield
# This file is part of RoboTournament.
# 
# RoboTournament is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# RoboTournament is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with RoboTournament; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package provide RTCServerMsg 1.0

proc ::rtcservermsg {subcommand args} {
    set help "\nShould be:\n\trtcchat construct <path>" 
    if {[string tolower $subcommand] == "construct"} {
        return [RTCServerMsg::Construct $args]
    }
    switch -- [string tolower $subcommand] {
        add { return [RTCServerMsg::AddText $args] }
    }
    return -code error "Unknown command: \"$subcommand\" \"$args\" $help"
}


namespace eval RTCServerMsg {
    variable text ""
}
proc RTCServerMsg::Construct { w } {
    frame $w \
        -relief flat \
        -highlightthickness 0\
        -borderwidth 0

    frame $w.text \
        -relief flat \
        -borderwidth 0 \
        -background "$::darkBackground" \
        -highlightthickness 1 \
        -highlightbackground "black"
    set RTCServerMsg::text \
        [text $w.text.t \
             -yscrollcommand "$w.text.y set" \
             -wrap word \
             -font fnt-tiny \
             -width 20 \
             -height 3 \
             -state normal \
             -highlightthickness 0 \
             -background "$::darkBackground" \
             -takefocus 0 \
             -cursor {}]
    scrollbar $w.text.y \
        -command "$w.text.t yview" \
        -relief flat \
        -borderwidth 0 \
        -troughcolor "$::darkBackground" \
        -background "black" \
        -highlightthickness 0 \
        -highlightbackground "$::background" \
        -elementborderwidth 0 \
        -width 9 \
        -takefocus 0 \
        -activebackground "$::darkForeground"
    grid $w.text.t -row 0 -col 0 -stick news
    grid $w.text.y -row 0 -col 1 -stick ns -padx 2 -pady 2
    grid columnconfigure $w.text 0 -weight 1
    grid rowconfigure    $w.text 0 -weight 1
    

    grid $w.text -row 0 -col 0 -stick news
    grid columnconfigure $w 0 -weight 1
    grid rowconfigure    $w 0 -weight 1
   
    $RTCServerMsg::text insert end "Welcome to RoboTournament $::version"
    $RTCServerMsg::text configure -state disabled

    return $w
}


proc RTCServerMsg::AddText {message} {
    $RTCServerMsg::text configure -state normal
    $RTCServerMsg::text insert end "\n[join $message]"
    $RTCServerMsg::text configure -state disabled
    $RTCServerMsg::text see end
    return 1
}
