#!/bin/sh
# The next line restarts using tclsh \
exec wish "$0" -- "$@"

# Copyright 2001 Bryan Schofield
# This file is part of RoboTournament.
# 
# RoboTournament is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# RoboTournament is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with RoboTournament; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


wm withdraw .

set script [info script]
set cwd [pwd]
while {[file type $script] == "link"} {
    cd [file dirname $script]
    set script [file readlink $script]
}
cd [file dirname $script]
set homeDir [pwd]
cd $cwd

if {[catch {exec [info nameofexecutable] \
               [file join $homeDir client RTClient.tcl] &} err]} {
	tk_messageBox \
		-icon error \
		-title "RoboTournament Error" \
		-message "Error starting client:\n\n$err\n\nStart the RTClient.tcl manually, in the client directory"
}
exit
